commit 4053e0ab049a0a8a0bfdc8547dbfe2e795bde884
Author: freddy77 <freddy77>
Date:   Thu Apr 8 09:02:55 2010 +0000

    remove some conversion warnings

diff --git a/ChangeLog b/ChangeLog
index 76cbf63..5b26ba6 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Thu Apr  8 11:02:24 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/apps/bsqldb.c: remove some conversion warnings
+
 Thu Apr  8 10:23:34 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/dblib/unittests/t0004.c: remove undeclared warning
 
@@ -2385,4 +2388,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.3006 2010/04/08 08:24:20 freddy77 Exp $
+$Id: ChangeLog,v 1.3007 2010/04/08 09:02:55 freddy77 Exp $
diff --git a/src/apps/bsqldb.c b/src/apps/bsqldb.c
index dc84425..5319757 100644
--- a/src/apps/bsqldb.c
+++ b/src/apps/bsqldb.c
@@ -49,7 +49,7 @@
 #include <sybdb.h>
 #include "replacements.h"
 
-static char software_version[] = "$Id: bsqldb.c,v 1.40 2010/04/05 18:45:44 jklowden Exp $";
+static char software_version[] = "$Id: bsqldb.c,v 1.41 2010/04/08 09:02:55 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #ifdef _WIN32
@@ -534,10 +534,8 @@ print_results(DBPROCESS *dbproc)
 						BYTE *p = dbdata(dbproc, c+1);
 						size_t len = dbdatlen(dbproc, c+1);
 						if (len == 0) {
-							p = "NULL";
-							len = strlen(p);
-						}
-						if (fwrite(p, len, 1, stdout) != 1) {
+							fputs("NULL", stdout);
+						} else if (fwrite(p, len, 1, stdout) != 1) {
 							perror("could not write to output file");
 							exit(EXIT_FAILURE);
 						}

